#!/usr/bin/perl

use strict;

for my $zone(qw/.ru .su .ua .kz .by/) {
  my @queries = (
"site:forum.*$zone",
"site:phorum.*$zone",
"site:phorums.*$zone",
"site:talk.*$zone",
"site:talks.*$zone",
"site:board.*$zone",
"site:boards.*$zone",
"site:forums.*$zone",
"site:smf.*$zone",
"site:phpbb.*$zone",
"intitle:\"Powered by vBulletin\" site:$zone",
"intitle:\"Powered by DLE Forum\" site:$zone",
"Powered by Ikonboard -intitle:\"Powered by Ikonboard\" site:$zone",
"Powered by vBulletin -intitle:\"Powered by vBulletin\" site:$zone",
"\"IP.Board\" site:$zone",
"\"Powered by Invision Power Board\" site:$zone -intitle:\"Powered by Invision Power Board\"",
"site:$zone intitle:\"Powered by Invision Power Board\"",
"allinurl:\"talk$zone/\"",
"allinurl:\"talks$zone/\"",
"allinurl:\"forum$zone/\"",
"allinurl:\"forums$zone/\"",
"allinurl:\"$zone/ipb/\"",
"allinurl:\"$zone/ipb2/\"",
"allinurl:\"$zone/ibf/\"",
"allinurl:\"$zone/phpbb/\"",
"allinurl:\"$zone/phpbb2/\"",
"allinurl:\"$zone/phpbb3/\"",
"allinurl:\"$zone/forum/\"",
"allinurl:\"$zone/phorum/\"",
"allinurl:\"$zone/phorums/\"",
"allinurl:\"$zone/forums/\"",
"allinurl:\"$zone/board/\"",
"allinurl:\"$zone/boards/\"",
"allinurl:\"$zone/talk/\"",
"allinurl:\"$zone/talks/\"",
"allinurl:\"$zone/vb/\"",
"allinurl:\"$zone/vbulletin/\"",
"allinurl:\"$zone/smf/\"",
"allinurl:\"$zone/smf2/\"",
"allinurl:\"$zone/punbb/\"",
"allinurl:\"$zone/exbb/\"",
"allinurl:\"YaBB.pl\" site:$zone",
"allinurl:\"forums.php\" site:$zone",
"allinurl:\"showforum\" site:$zone",
"allinurl:\"viewforum\" site:$zone",
"allinurl:\"showtopic\" site:$zone",
"allinurl:\"viewtopic\" site:$zone",
"allinurl:\"showthread\" site:$zone",
"allinurl:\"forumdisplay\" site:$zone",
  );
  for my $query(@queries) {
    $query =~ s/ /%20/g;
    for my $page(0..9) {
      print "http://www.google.ru/search?q=$query&num=100&start=${page}00&filter=0\n";
    }
  }
}
