#!/usr/bin/perl

# (c) 2010 Alexandr A Alexeev, http://eax.me/

use strict;
use MIME::Base64; # qw/encode_base64/;

my @proxies = split /\n/, `cat proxies.txt`; # PHPProxy

my $opt  = "--timeout=10 --no-check-certificate --user-agent='Mozilla/5.0 (X11; U; FreeBSD i386; ru-RU; rv:1.9.1.10) Gecko/20100625 Firefox/3.5.10'";
my $line = 0;
while(my $url = <>) {
  $line++;
  chomp $url;
  $url .= "&hl=en"; # чтобы могли отличить, что ничего не найдено
  print STDERR "url = $url\n";

NEW_ATTEMPT:
  my $proxy_url = $proxies[rand()*scalar @proxies].encode_base64($url);
  print STDERR "proxy_url = $proxy_url\n";
  my $data = `wget $opt -q '$proxy_url' -O -`;

  my @sites = $data =~ /<h3 class="r"><a href="[^\?]+index\.php\?q=([^&"]+)"/g;
  my @sites = map {
    s/(\%3D)/=/g; s/(\%2F)/\//g;
    $_ = decode_base64($_); 
    s/(&amp;)/&/g;
    $_; } @sites;
  print STDERR "  >> line = $line, ".(scalar @sites)." sites found\n";
  if((scalar @sites == 0) && ($data !~ /Your search - <b>[^<]*<\/b> - did not match any documents/i)) {
    print STDERR "  >> ERROR, NEW ATTEMPT...\n";
    ## sleep 300;
    goto NEW_ATTEMPT;
  }
  print "$_\n" for(@sites);
  ## sleep 30;
}

