#!/usr/bin/perl

use strict;
my $opt = " --user-agent='Mozilla/5.0 (X11; U; Linux i386; ru-RU; rv:1.9.1.10) Gecko/20100625 Firefox/3.5.10'";
$opt .= " --timeout=10 --no-check-certificate";
my $n = 0;
while(my $line = <>) {
  $n++;
  chomp($line);
  my $engine = `wget $opt -q '$line' -O - | ./which-forum.pl`;
  chomp($engine);
  if($?) {
    $engine = "FAIL"; 
  } elsif($engine eq "") {
    $engine = "UNDEF";
  }
  $engine =~ s/\n/,/g;
  print "$engine:$line\n";
  print STDERR "line #$n >> $engine:$line\n";
}
